//
//  MessageConstant.swift
import UIKit

struct MessageConstant{
    
    struct internetConnectionMessage {
        static let noInternetConn = "Internet connection is not available. Please try again later."
    }
    
    struct misc {
        static let unAuthorizedUser = "unAuthorized User"
        static let forbidden = "forbidden"
        static let somethingWentWrong = "Something went wrong and you need to sign in again."
    }
    
    //MARK:- Network Error
    struct networkError {
        static let requTimeOut = "Request Time Out"
        static let unKnown = "Unknow Error"
        static let inValidJson = "Invalid JSON"
        static let unableToCreateRequest = "Unable To Create Request"
        static let emptyData = "Empty Data"
        static let unacceptableStatusCode = "Invalid Status Code"
        static let unableToDecode = "unableToDecode"
    }

    //MARK:- Validations Message
    struct validationMessage {
        static let logout     = "Are you sure you want to logout?"
        static let changeuser     = "Are you sure you want to switch user?"
        static let deletedevice     = "Are you sure you want to delete device?"

    }
    
    struct commonMessage {
        static let enterUserName = "Please enter email address"
        static let enterPassword = "Please enter password"
        static let emailValid = "Please enter valid email address"
        static let enterIdent = "Please enter device identifier"
        static let enterdevice = "Please enter friendly device name"
        static let enterdevicetemplate = "Please select device template"
    }
    
    struct commonButtonTitle {
        static let ok = "OK"
        static let yes = "Yes"
        static let no = "No"
        static let delete = "Delete"
        static let restore = "Restore"
        static let cancel = "Cancel"
        static let noThanks = "No Thanks"
    }

    
    //MARK:- Alert Message
    struct AlertMessage {
        static let cameraAccess = "Please go to the Settings app to grant permission"
    }
}
