//
//  KeyboardManager.swift
//  Procell
//

import Foundation
import IQKeyboardManagerSwift
import UIKit

class KeyboardManager {

    @discardableResult init() {
        IQKeyboardManager.shared.enable = true
        IQKeyboardManager.shared.shouldResignOnTouchOutside = true
        IQKeyboardManager.shared.shouldShowToolbarPlaceholder = true
        IQKeyboardManager.shared.keyboardDistanceFromTextField = 55
        IQKeyboardManager.shared.toolbarTintColor = UIColor.black
        IQKeyboardManager.shared.keyboardAppearance = .light
    }
}
 
