//
//  TelemetryDefault.swift
//  EBV-IoT
//
//  Created by Milan Patel on 15/03/22.
//

import Foundation

struct TelemetryDefault : Codable {
    let data : [TelemetryDefaultData]?
    let status : Int?
    let message : String?
    let count : Int?
}

struct TelemetryDefaultData : Codable {
    let templateAttributeGuid : String?
    let attributeName : String?
    let attributeValue : String?
    let deviceUpdatedDate : String?
    let notificationCount : Int?
    let aggregateType : String?
    let dataType : String?
//    let aggregateTypeValues : AggregateTypeValues?
    let attributeColor : String?
}

//struct AggregateTypeValues : Codable {
//    enum CodingKeys: String, CodingKey {
//        typealias RawValue = <#type#>
//
//    }
//
//    init(from decoder: Decoder) throws {
//        let values = try decoder.container(keyedBy: CodingKeys.self)
//    }
//}


