//
//  MyNavigationController.swift
//  SwiftSideMenu
//
//  Created by Evgeny Nazarov on 30.09.14.
//  Copyright (c) 2014 Evgeny Nazarov. All rights reserved.
//

import UIKit

class MyNavigationController: ENSideMenuNavigationController, ENSideMenuDelegate {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        
        let controller : SideMenuViewController = UIStoryboard(name: Constant.StoryboardIdentifier.sidemenu, bundle: nil).instantiateViewController(withIdentifier: "SideMenuViewController") as! SideMenuViewController
        sideMenu = ENSideMenu(sourceView: self.view, menuViewController: controller, menuPosition:.left)
        
        //sideMenu?.delegate = self //optional
        sideMenu?.menuWidth = UIScreen.main.bounds.size.width  //Constant.ScreenSize.SCREEN_WIDTH  + 20.0//(Constant.ScreenSize.SCREEN_WIDTH / 2.0 ) + 50.0
        sideMenu?.bouncingEnabled = false
        sideMenu?.allowPanGesture = true
        
      //  controller.constraintViewTrailing.constant = (Constant.ScreenSize.SCREEN_WIDTH / 2.0 )
        
        // make navigation bar showing over side menu
        
        //view.bringSubviewToFront(navigationBar)
        
      
    }
    
    override func viewDidAppear(_ animated: Bool) {
        
   
    }
        
    

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    // MARK: - ENSideMenu Delegate
    func sideMenuWillOpen() {
        print("sideMenuWillOpen")
    }
    
    func sideMenuWillClose() {
        print("sideMenuWillClose")
    }
    
    func sideMenuDidClose() {
        print("sideMenuDidClose")
    }
    
    func sideMenuDidOpen() {
        print("sideMenuDidOpen")
    }

    // MARK: - ENSideMenu Delegate
       /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue!, sender: AnyObject!) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
