package com.avnet.ebv.model.response

import com.google.gson.annotations.SerializedName

data class CommandHistoryResponse(

	@field:SerializedName("data")
	val data: List<CommandHistoryDataItem?>? = null,

	@field:SerializedName("count")
	val count: Int? = null,

	@field:SerializedName("message")
	val message: String? = null,

	@field:SerializedName("status")
	val status: Int? = null
)

data class ResendHistory(

	@field:SerializedName("resendCount")
	val resendCount: Int? = null,

	@field:SerializedName("execTime")
	val execTime: List<String?>? = null
)

data class CommandHistoryDataItem(

	@field:SerializedName("statusDate")
	val statusDate: String? = null,

	@field:SerializedName("commandHistoryGuid")
	val commandHistoryGuid: String? = null,

	@field:SerializedName("createdByName")
	val createdByName: String? = null,

	@field:SerializedName("resendHistory")
	val resendHistory: ResendHistory? = null,

	@field:SerializedName("cmdText")
	val cmdText: String? = null,

	@field:SerializedName("statusText")
	val statusText: String? = null,

	@field:SerializedName("parentDeviceUniqueId")
	val parentDeviceUniqueId: String? = null,

	@field:SerializedName("uniqueId")
	val uniqueId: String? = null,

	@field:SerializedName("status")
	val status: String? = null,

	@field:SerializedName("isResend")
	val isResend: Boolean? = null
)
