package com.avnet.ebv.model.response

import com.google.gson.annotations.SerializedName

data class CommandLookupResponse(

	@field:SerializedName("data")
	val data: List<CommandLookupDataItem?>? = null,

	@field:SerializedName("message")
	val message: String? = null,

	@field:SerializedName("status")
	val status: Int? = null,

	@field:SerializedName("error")
	val error: List<ErrorRespose?>? = null
)

data class CommandLookupDataItem(

	@field:SerializedName("requiredParam")
	val requiredParam: Boolean? = null,

	@field:SerializedName("name")
	val name: String? = null,

	@field:SerializedName("guid")
	val guid: String? = null,

	@field:SerializedName("command")
	val command: String? = null
)
