package com.avnet.ebv.model.response

import com.google.gson.annotations.SerializedName
import java.io.Serializable

data class DeviceListResponse(
    @SerializedName("count")
    var count: Int?,
    @SerializedName("data")
    var `data`: List<Data?>?,
    @SerializedName("message")
    var message: String?,
    @SerializedName("status")
    var status: Int?
) {
    data class Data(
        @SerializedName("allottedDevicePermission")
        var allottedDevicePermission: Any?,
        @SerializedName("authType")
        var authType: Int?,
        @SerializedName("childDeviceCount")
        var childDeviceCount: Int?,
        @SerializedName("count")
        var count: Int?,
        @SerializedName("deviceInfo")
        var deviceInfo: Any?,
        @SerializedName("deviceStatus")
        var deviceStatus: String?,
        @SerializedName("deviceTemplateGuid")
        var deviceTemplateGuid: String?,
        @SerializedName("deviceTemplateName")
        var deviceTemplateName: String?,
        @SerializedName("displayName")
        var displayName: String?,
        @SerializedName("entityName")
        var entityName: String?,
        @SerializedName("firmwareupgradeGuid")
        var firmwareupgradeGuid: Any?,
        @SerializedName("guid")
        var guid: String?,
        @SerializedName("IsAcquired")
        var isAcquired: Boolean?,
        @SerializedName("isActive")
        var isActive: Boolean?,
        @SerializedName("IsAllottedDevice")
        var isAllottedDevice: Int?,
        @SerializedName("isConnected")
        var isConnected: Boolean?,
        @SerializedName("isDpsDevice")
        var isDpsDevice: Boolean?,
        @SerializedName("isSharedDevice")
        var isSharedDevice: Boolean?,
        @SerializedName("isSolutionTemplate")
        var isSolutionTemplate: Boolean?,
        @SerializedName("isType2Support")
        var isType2Support: Boolean?,
        @SerializedName("lastCommunication")
        var lastCommunication: Any?,
        @SerializedName("lastConnection")
        var lastConnection: Any?,
        @SerializedName("lastactivityDate")
        var lastactivityDate: Any?,
        @SerializedName("recentAttrValue")
        var recentAttrValue: Any?,
        @SerializedName("reportingTo")
        var reportingTo: String?,
        @SerializedName("solutionName")
        var solutionName: Any?,
        @SerializedName("uniqueId")
        var uniqueId: String?
    ):Serializable
}
