package com.avnet.ebv.model.response


import com.google.gson.annotations.SerializedName

data class DeviceTemplateResponse(
    @SerializedName("data")
    var `data`: List<Data?>?,
    @SerializedName("message")
    var message: String?,
    @SerializedName("status")
    var status: Int?,
    @SerializedName("template-auto-push")
    var templateAutoPush: Boolean?
) {
    data class Data(
        @SerializedName("attrXml")
        var attrXml: String?,
        @SerializedName("attributes")
        var attributes: List<Attribute?>?,
        @SerializedName("authType")
        var authType: Int?,
        @SerializedName("commandXml")
        var commandXml: String?,
        @SerializedName("commands")
        var commands: List<Command?>?,
        @SerializedName("createdBy")
        var createdBy: String?,
        @SerializedName("createdDate")
        var createdDate: String?,
        @SerializedName("dataFrequency")
        var dataFrequency: Int?,
        @SerializedName("dataLength")
        var dataLength: Any?,
        @SerializedName("directMethodXml")
        var directMethodXml: Any?,
        @SerializedName("directMethods")
        var directMethods: Any?,
        @SerializedName("fileSupport")
        var fileSupport: Boolean?,
        @SerializedName("firmwareGuid")
        var firmwareGuid: Any?,
        @SerializedName("firmwareName")
        var firmwareName: Any?,
        @SerializedName("guid")
        var guid: String?,
        @SerializedName("isAttachedWithDevice")
        var isAttachedWithDevice: Boolean?,
        @SerializedName("isEdgeSupport")
        var isEdgeSupport: Boolean?,
        @SerializedName("isIotEdgeEnable")
        var isIotEdgeEnable: Boolean?,
        @SerializedName("isLowBandwidth")
        var isLowBandwidth: Boolean?,
        @SerializedName("isSolutionTemplate")
        var isSolutionTemplate: Boolean?,
        @SerializedName("isType2Support")
        var isType2Support: Boolean?,
        @SerializedName("isValidEdgeSupport")
        var isValidEdgeSupport: Int?,
        @SerializedName("isValidType2Support")
        var isValidType2Support: Int?,
        @SerializedName("isValidateTemplate")
        var isValidateTemplate: Int?,
        @SerializedName("messageVersion")
        var messageVersion: String?,
        @SerializedName("reqAttrPush")
        var reqAttrPush: Boolean?,
        @SerializedName("reqSettingPush")
        var reqSettingPush: Boolean?,
        @SerializedName("settingXml")
        var settingXml: String?,
        @SerializedName("settings")
        var settings: List<Setting?>?,
        @SerializedName("tag")
        var tag: Any?,
        @SerializedName("templateCode")
        var templateCode: String?,
        @SerializedName("templateDescription")
        var templateDescription: String?,
        @SerializedName("templateName")
        var templateName: String?,
        @SerializedName("updatedBy")
        var updatedBy: String?,
        @SerializedName("updatedDate")
        var updatedDate: String?
    ) {
        data class Attribute(
            @SerializedName("createdBy")
            var createdBy: String?,
            @SerializedName("createdDate")
            var createdDate: String?,
            @SerializedName("guid")
            var guid: String?,
            @SerializedName("keys")
            var keys: List<Key?>?,
            @SerializedName("localName")
            var localName: String?,
            @SerializedName("parentTemplateAttributeGuid")
            var parentTemplateAttributeGuid: String?,
            @SerializedName("updatedBy")
            var updatedBy: String?,
            @SerializedName("updatedDate")
            var updatedDate: String?
        ) {
            data class Key(
                @SerializedName("dataType")
                var dataType: String?,
                @SerializedName("datatypeGuid")
                var datatypeGuid: String?,
                @SerializedName("localName")
                var localName: String?
            )
        }

        data class Command(
            @SerializedName("command")
            var command: String?,
            @SerializedName("createdBy")
            var createdBy: String?,
            @SerializedName("createdDate")
            var createdDate: String?,
            @SerializedName("guid")
            var guid: String?,
            @SerializedName("name")
            var name: String?,
            @SerializedName("requiredParam")
            var requiredParam: String?,
            @SerializedName("updatedBy")
            var updatedBy: String?,
            @SerializedName("updatedDate")
            var updatedDate: String?
        )

        data class Setting(
            @SerializedName("createdBy")
            var createdBy: String?,
            @SerializedName("createdDate")
            var createdDate: String?,
            @SerializedName("dataType")
            var dataType: String?,
            @SerializedName("datatypeGuid")
            var datatypeGuid: String?,
            @SerializedName("defaultValue")
            var defaultValue: String?,
            @SerializedName("guid")
            var guid: String?,
            @SerializedName("localName")
            var localName: String?,
            @SerializedName("name")
            var name: String?,
            @SerializedName("updatedBy")
            var updatedBy: String?,
            @SerializedName("updatedDate")
            var updatedDate: String?
        )
    }
}