package com.avnet.ebv.model.response


import com.google.gson.annotations.SerializedName

data class HistoryDataResponse(
    @SerializedName("data")
    var `data`: Data?,
    @SerializedName("message")
    var message: String?,
    @SerializedName("status")
    var status: Int?
) {
    data class Data(
        @SerializedName("continuationToken")
        var continuationToken: Any?,
        @SerializedName("count")
        var count: Int?,
        @SerializedName("feed")
        var feed: List<Feed?>?,
        @SerializedName("recordType")
        var recordType: String?,
        @SerializedName("version")
        var version: String?
    ) {
        data class Feed(
//            @SerializedName("attr")
//            var attr: Map<String,String>,
            @SerializedName("attr")
            var attr: Any,
            @SerializedName("cpid")
            var cpid: String?,
            @SerializedName("dTime")
            var dTime: String?,
            @SerializedName("sid")
            var sid: Any?,
            @SerializedName("uniqueId")
            var uniqueId: String?
        ) {
            data class Attr(
                var attrData : Map<String,String>
               /* @SerializedName("btsensor")
                var btsensor: String?,
                @SerializedName("co2")
                var co2: String?,
                @SerializedName("ledsensor")
                var ledsensor: String?,
                @SerializedName("magnet")
                var magnet: String?,
                @SerializedName("slidersensor")
                var slidersensor: String?,
                @SerializedName("temprature")
                var temprature: String?*/
            )
        }
    }
}