package com.avnet.ebv.model.response

import com.google.gson.annotations.SerializedName

data class PropertyHistoryResponse(

    @field:SerializedName("data")
    val data: List<PropertyHistoryDataItem?>? = null,

    @field:SerializedName("message")
    val message: String? = null,

    @field:SerializedName("status")
    val status: Int? = null,

    @field:SerializedName("error")
    val error: List<ErrorRespose?>? = null
)

data class PropertyHistoryDataItem(

    @field:SerializedName("desiredUpdatedDate")
    val desiredUpdatedDate: String? = null,

    @field:SerializedName("reportedUpdatedDate")
    val reportedUpdatedDate: String? = null,

    @field:SerializedName("daTypeGuid")
    val daTypeGuid: String? = null,

    @field:SerializedName("reportedValue")
    val reportedValue: Any? = null,

    @field:SerializedName("dataTypeName")
    val dataTypeName: String? = null,

    @field:SerializedName("cpId")
    val cpId: Any? = null,

    @field:SerializedName("companyGuid")
    val companyGuid: String? = null,

    @field:SerializedName("isFault")
    val isFault: Boolean? = null,

    @field:SerializedName("deviceDate")
    val deviceDate: Any? = null,

    @field:SerializedName("templateSettingGuid")
    val templateSettingGuid: String? = null,

    @field:SerializedName("desiredValue")
    val desiredValue: Any? = null,

    @field:SerializedName("localName")
    val localName: String? = null,

    @field:SerializedName("createdDate")
    val createdDate: String? = null,

    @field:SerializedName("isReadOnly")
    val isReadOnly: Boolean? = null,

    @field:SerializedName("deviceGuid")
    val deviceGuid: String? = null,

    @field:SerializedName("gatewayDate")
    val gatewayDate: Any? = null,

    @field:SerializedName("desiredVersion")
    val desiredVersion: Any? = null,

    @field:SerializedName("name")
    val name: String? = null,

    @field:SerializedName("guid")
    val guid: String? = null,

    @field:SerializedName("entityGuid")
    val entityGuid: String? = null,

    @field:SerializedName("sdkDate")
    val sdkDate: Any? = null,

    @field:SerializedName("uniqueId")
    val uniqueId: Any? = null
)
