package com.avnet.ebv.model.response.subscribe


import com.google.gson.annotations.SerializedName

data class PlanResponse(
    @SerializedName("status")
    var status: Int?,
    @SerializedName("data")
    var `data`: List<Data?>?,
    @SerializedName("params")
    var params: Params?
) {
    data class Data(
        @SerializedName("consumerDetail")
        var consumerDetail: List<ConsumerDetail?>?,
        @SerializedName("envName")
        var envName: String?,
        @SerializedName("expiryDate")
        var expiryDate: String?,
        @SerializedName("features")
        var features: List<Feature?>?,
        @SerializedName("instance")
        var instance: Any?,
        @SerializedName("instanceId")
        var instanceId: String?,
        @SerializedName("instanceName")
        var instanceName: String?,
        @SerializedName("instanceType")
        var instanceType: String?,
        @SerializedName("isAutoRenew")
        var isAutoRenew: Boolean?,
        @SerializedName("isDeviceManagement")
        var isDeviceManagement: Boolean?,
        @SerializedName("isExpired")
        var isExpired: Boolean?,
        @SerializedName("isPlanConsumed")
        var isPlanConsumed: Boolean?,
        @SerializedName("isPlanInactiveAndNotExpired")
        var isPlanInactiveAndNotExpired: Boolean?,
        @SerializedName("isPlanSelected")
        var isPlanSelected: Boolean?,
        @SerializedName("isSolutionActive")
        var isSolutionActive: Boolean?,
        @SerializedName("planCode")
        var planCode: String?,
        @SerializedName("planCreatedDate")
        var planCreatedDate: String?,
        @SerializedName("planId")
        var planId: String?,
        @SerializedName("planName")
        var planName: String?,
        @SerializedName("solutionCode")
        var solutionCode: String?,
        @SerializedName("solutionMasterId")
        var solutionMasterId: String?,
        @SerializedName("solutionName")
        var solutionName: String?,
        @SerializedName("status")
        var status: Boolean?,
        @SerializedName("stopSubscirptionAfterMonth")
        var stopSubscirptionAfterMonth: Int?,
        @SerializedName("subscriber")
        var subscriber: Int?,
        @SerializedName("totalAvailableMessages")
        var totalAvailableMessages: Int?
    ) {
        data class ConsumerDetail(
            @SerializedName("companyName")
            var companyName: String?,
            @SerializedName("email")
            var email: String?
        )

        data class Feature(
            @SerializedName("displayName")
            var displayName: String?,
            @SerializedName("featureName")
            var featureName: String?,
            @SerializedName("featureValue")
            var featureValue: String?,
            @SerializedName("isCustomeFeature")
            var isCustomeFeature: Boolean?,
            @SerializedName("isInternal")
            var isInternal: Boolean?,
            @SerializedName("solutionFeaturesId")
            var solutionFeaturesId: String?,
            @SerializedName("subFeatures")
            var subFeatures: List<SubFeature?>?
        ) {
            data class SubFeature(
                @SerializedName("configKey")
                var configKey: Any?,
                @SerializedName("isSelected")
                var isSelected: Boolean?,
                @SerializedName("solutionFeaturesId")
                var solutionFeaturesId: String?,
                @SerializedName("solutionPlanId")
                var solutionPlanId: String?,
                @SerializedName("solutionSubFeaturesId")
                var solutionSubFeaturesId: String?,
                @SerializedName("subFeatureName")
                var subFeatureName: String?,
                @SerializedName("value")
                var value: String?
            )
        }
    }

    data class Params(
        @SerializedName("count")
        var count: Int?
    )
}