package com.avnet.ebv.model.response.subscribe


import com.google.gson.annotations.SerializedName

data class SubscriberResponse(
    @SerializedName("status")
    var status: Int?,
    @SerializedName("city")
    var city: String?,
    @SerializedName("command")
    var command: Double?,
    @SerializedName("companyName")
    var companyName: String?,
    @SerializedName("consumerId")
    var consumerId: String?,
    @SerializedName("country")
    var country: String?,
    @SerializedName("d2c")
    var d2c: Double?,
    @SerializedName("email")
    var email: String?,
    @SerializedName("endDateWithOccurrence")
    var endDateWithOccurrence: String?,
    @SerializedName("event")
    var event: Double?,
    @SerializedName("firstName")
    var firstName: String?,
    @SerializedName("isAddedBySubPartnerPrimary")
    var isAddedBySubPartnerPrimary: Boolean?,
    @SerializedName("isAutoRenew")
    var isAutoRenew: Boolean?,
    @SerializedName("isExhausted")
    var isExhausted: Boolean?,
    @SerializedName("isSubscriptionCancelled")
    var isSubscriptionCancelled: Boolean?,
    @SerializedName("lastName")
    var lastName: String?,
    @SerializedName("noOfDevices")
    var noOfDevices: Int?,
    @SerializedName("noOfUsers")
    var noOfUsers: Int?,
    @SerializedName("notification")
    var notification: Double?,
    @SerializedName("planCode")
    var planCode: String?,
    @SerializedName("planName")
    var planName: String?,
    @SerializedName("planNoOfMessages")
    var planNoOfMessages: Double?,
    @SerializedName("planPerDayMessages")
    var planPerDayMessages: Double?,
    @SerializedName("renewalDate")
    var renewalDate: String?,
    @SerializedName("solutionDetails")
    var solutionDetails: List<SolutionDetail?>?,
    @SerializedName("solutionId")
    var solutionId: String?,
    @SerializedName("state")
    var state: String?,
    @SerializedName("subFeaturesConsumptionDatas")
    var subFeaturesConsumptionDatas: List<SubFeaturesConsumptionData?>?,
    @SerializedName("subscriptionDate")
    var subscriptionDate: String?,
    @SerializedName("totalMessage")
    var totalMessage: Double?,
    @SerializedName("twin")
    var twin: Double?,
    @SerializedName("utilizedStatus")
    var utilizedStatus: String?
) {
    data class SolutionDetail(
        @SerializedName("solutionCode")
        var solutionCode: String?,
        @SerializedName("solutionId")
        var solutionId: String?,
        @SerializedName("solutionName")
        var solutionName: String?
    )

    data class SubFeaturesConsumptionData(
        @SerializedName("subFeatureName")
        var subFeatureName: String?,
        @SerializedName("value")
        var value: Double?
    )
}