//
//  Environment.swift
//  Procell
//
//  Created by Devesh Mevada on 11/18/21.
//

import Foundation

enum Environment: String {
    case dev = "DEV"
    case qa = "QA"
    case uat = "UAT"
    case prod = "PROD"
}

class EnvironmentSelector {
    class var environment: Environment {
        #if DEV
        return .dev
        #elseif QA
        return .qa
        #elseif UAT
        return .uat
        #else
        return .prod
        #endif
    }
}
