//
//  DeviceGrant.swift
//  EBV-IoT
//
//  Created by Milan Patel on 30/06/22.
//

import Foundation

struct DeviceGrant: Codable
{
    let data : [DataDeviceGrant]?
    let status : Int?
    let message : String?
    let count : Int?
}

struct DataDeviceGrant : Codable {
    let name : String?
    let email : String?
    let userGuid : String?
    let reportingGroupGuid : String?
    let userDevicePermissionGuid : String?
    let permission : Permission?
}

struct Permission : Codable {
    let view : Bool?
    let operation : Bool?
}

