//
//  DeviceList.swift
//  EBV-IoT
//
//  Created by Milan Patel on 07/02/22.
//

import Foundation

struct Devices: Codable
{
    let data: [DeviceInfo]?
    let status: Int
    let message: String?
    let count: Int
}

struct DeviceInfo : Codable {
    let guid : String?
    let uniqueId : String?
    let displayName : String?
    let isConnected : Bool?
    let lastactivityDate : String?
    let isActive : Bool?
    let firmwareupgradeGuid : String?
    let deviceTemplateGuid : String?
    let authType : Int?
    let isSolutionTemplate : Bool?
    let solutionName : String?
    let deviceInfo : String?
    let deviceTemplateName : String?
    let reportingTo : String?
    let entityName : String?
    let isAcquired : Bool?
    let childDeviceCount : Int?
    let isType2Support : Bool?
    let isAllottedDevice : Int?
    let allottedDevicePermission : String?
    let count : Int?
    let isSharedDevice : Bool?
    let deviceStatus : String?
    let recentAttrValue : String?
    let isDpsDevice : Bool?
    let lastConnection : String?
    let lastCommunication : String?
}
