//
//  HistoricalData.swift
//  EBV-IoT
//
//  Created by Milan Patel on 11/03/22.
//

import Foundation

struct Historical : Codable {
    let data : [HistoricalData]?
    let status : Int?
    let message : String?
}


struct HistoricalData : Codable {
    let feed : [Feed]?
    let continuationToken : String?
    let recordType : String?
    let count : Int?
    let version : String?
}

struct Feed : Codable {
    let dTime : String?
    let uniqueId : String?
    let cpid : String?
    let sid : String?
//    let attr : String?
}


