//
//  PostDeviceGrant.swift
//  EBV-IoT
//
//  Created by Milan Patel on 30/06/22.
//

import Foundation

struct PostDeviceGrant: Codable
{
    let data : [DataPostDeviceGrant]?
    let status : Int?
    let message : String?
}

struct DataPostDeviceGrant : Codable {
    let success : [Success]?
    let error : [ErrorGrant]?
}

struct ErrorGrant : Codable {
    let userId : String?
    let userGuid : String?
    let errorLog : String?
}

struct Success : Codable {
    let userId : String?
    let userGuid : String?
    let errorLog : String?
}
