//
//  TemplateLists.swift
//  EBV-IoT
//
//  Created by Milan Patel on 16/03/22.
//

import Foundation

struct TemplatesList : Codable {
    let data : [TemplatesListData]?
    let status : Int?
    let message : String?
    let count : Int?
}

struct TemplatesListData : Codable {
    let guid : String?
    let code : String?
    let name : String?
    let description : String?
    let firmwareGuid : String?
    let createdDate : String?
    let updatedDate : String?
    let attributeCount : Int?
    let settingCount : Int?
    let commandCount : Int?
    let deviceCount : Int?
    let ruleCount : Int?
    let isValidateTemplate : Bool?
    let isValidEdgeSupport : Bool?
    let isValidType2Support : Bool?
    let tag : String?
    let authType : Int?
    let isEdgeSupport : Bool?
    let gatewaySupport : Bool?
    let isLowBandwidth : Bool?
    let isIotEdgeEnable : Bool?
    let isSolutionTemplate : Bool?
    let solutionName : String?
    let messageVersion : String?
    let fileSupport : Bool?
    let directMethodCount : Int?
}
