//
//  HistorySelectionCell.swift
//  EBV-IoT
//
//  Created by Milan Patel on 05/04/22.
//

import UIKit

protocol HistorySelectionCellDelegate: class {
    func  delegateConnected(sender: UIButton!)
}

class HistorySelectionCell: UITableViewCell {

    @IBOutlet weak var tblSelection: UITableView!
    var arr_selections : [DataInfo] = [DataInfo]()
    var arr_listsSensor : [[String:Any]] = []
    var delegate: HistorySelectionCellDelegate?
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        
        
        tblSelection.register(UINib(nibName: "LegendCell", bundle: nil), forCellReuseIdentifier: "LegendCell")

        tblSelection.layer.borderColor = UIColor.lightGray.withAlphaComponent(0.4).cgColor
        tblSelection.layer.borderWidth = 2.0
        
        tblSelection.tableFooterView = UIView.init(frame: CGRect.zero)
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
