/*
 * drum_fonts.c
 *
 *  Created on: 15. feb. 2022
 *      Author: MaliU
 */
#include "drum_fonts.h"
#include "font_MS_Gothics6x12.h"
#include "font_IsidoraSansMedium16x16.h"
#include "font_small5x8.h"
#include "font_Small8x10.h"
#include "font_SmallBold9x10.h"
#include "font_SmallSym10x10.h"
#include "font_ArialRoundedMTBold28x31.h"

DrUM_FontDef_t MS_Gothic6x12 = {
    FONT_MIKROE_GLDC_2V_VAR,
    6,
    12,
    32,
    127,
    1,
    0,
    MS_Gothic6x12_data,
    MS_Gothic6x12_data,
    MS_Gothic6x12_data
};

DrUM_FontDef_t IsidoraSansMedium16x16 = {
    FONT_MIKROE_GLDC_2V_VAR,
    16,
    16,
    32,
    127,
    1,
    0,
    Isidora_Sans_Medium16x16,
    Isidora_Sans_Medium16x16,
    Isidora_Sans_Medium16x16
};

DrUM_FontDef_t Small5x8 = {
    FONT_MIKROE_GLDC_1V_VAR,
    5,
    8,
    32,
    127,
    1,
    0,
    FontSmall5x8,
    FontSmall5x8,
    FontSmall5x8
};

DrUM_FontDef_t Small8x10 = {
    FONT_MIKROE_GLDC_2V_VAR,
    8,
    10,
    32,
    128,
    1,
    0,
    Small_Fonts8x10,
    Small_Fonts8x10,
    Small_Fonts8x10
};

DrUM_FontDef_t SmallBold9x10 = {
    FONT_MIKROE_GLDC_2V_VAR,
    9,
    10,
    32,
    128,
    1,
    0,
    Small_FontsBold9x10,
    Small_FontsBold9x10,
    Small_FontsBold9x10
};

DrUM_FontDef_t ArialRoundedMTBold28x31 = {
    FONT_MIKROE_GLDC_4V_VAR,
    28,
    31,
    32,
    128,
    2,
    0,
    Arial_Rounded_MT_Bold28x31,
    Arial_Rounded_MT_Bold28x31,
    Arial_Rounded_MT_Bold28x31
};

DrUM_FontDef_t SmallSym10x10 = {
    FONT_MIKROE_GLDC_2V_VAR,
    10,
    10,
    32,
    128,
    1,
    0,
	SmallSym_Fonts10x10,
	SmallSym_Fonts10x10,
	SmallSym_Fonts10x10
};




