package com.avnet.ebv.base

import androidx.lifecycle.ViewModel
import com.avnet.ebv.data.error.ErrorManager





abstract class BaseViewModel : ViewModel() {
    /**Inject Singleton ErrorManager
     * Use this errorManager to get the Errors
     */
    abstract val errorManager: ErrorManager

}
