
package com.avnet.ebv.di.module

import com.avnet.ebv.data.DataRepository
import com.avnet.ebv.data.DataRepositorySource
import com.avnet.ebv.data.DeviceRepository
import com.avnet.ebv.data.DeviceRepositorySource
import dagger.Binds
import dagger.Module
import javax.inject.Singleton

// Tells Dagger this is a Dagger module
@Module
abstract class DataModule {
    @Binds
    @Singleton
    abstract fun provideDataRepository(dataRepository: DataRepository): DataRepositorySource


    @Binds
    @Singleton
    abstract fun provideDeviceRepository(deviceRepository: DeviceRepository): DeviceRepositorySource
}
