package com.avnet.ebv.model.request


import com.google.gson.annotations.SerializedName

data class NewEntityRequest(
    @SerializedName("address")
    var address: String?,
    @SerializedName("city")
    var city: String?,
    @SerializedName("countryGuid")
    var countryGuid: String?,
    @SerializedName("name")
    var name: String?,
    @SerializedName("parentEntityGuid")
    var parentEntityGuid: String?,
    @SerializedName("stateGuid")
    var stateGuid: String?,
    @SerializedName("timezoneGuid")
    var timezoneGuid: String?,
    @SerializedName("userInfo")
    var userInfo: UserInfo?,
    @SerializedName("zipCode")
    var zipCode: String?
) {
    data class UserInfo(
        @SerializedName("contactNo")
        var contactNo: String?,
        @SerializedName("firstName")
        var firstName: String?,
        @SerializedName("isActive")
        var isActive: Boolean?,
        @SerializedName("lastName")
        var lastName: String?,
        @SerializedName("roleGuid")
        var roleGuid: String?,
        @SerializedName("sendInvitationEmail")
        var sendInvitationEmail: Boolean?,
        @SerializedName("timezoneGuid")
        var timezoneGuid: String?,
        @SerializedName("userId")
        var userId: String?,
        @SerializedName("isTempPassword")
        var isTempPassword : Boolean?,
        @SerializedName("password")
        var password : String?
    )
}