package com.avnet.ebv.model.response


import com.google.gson.annotations.SerializedName

data class AttributeTemplateResponse(
    @SerializedName("count")
    var count: Int?,
    @SerializedName("data")
    var `data`: List<Data?>?,/*
    @SerializedName("isValidateTemplate")
    var isValidateTemplate: Boolean?,*/
    @SerializedName("message")
    var message: String?,
    @SerializedName("status")
    var status: Int?
) {
    data class Data(
        @SerializedName("aggregateType")
        var aggregateType: List<Any?>?,
        @SerializedName("aggregateTypeCount")
        var aggregateTypeCount: Any?,
        @SerializedName("attributeColor")
        var attributeColor: String?,
        @SerializedName("attributes")
        var attributes: List<Attribute>,
        @SerializedName("conditionBitValue")
        var conditionBitValue: Int?,
        @SerializedName("createdDate")
        var createdDate: String?,
        @SerializedName("createdby")
        var createdby: String?,
        @SerializedName("dataTypeGuid")
        var dataTypeGuid: String?,
        @SerializedName("dataTypeName")
        var dataTypeName: String?,
        @SerializedName("dataValidation")
        var dataValidation: Any?,
        @SerializedName("description")
        var description: String?,
        @SerializedName("guid")
        var guid: String?,
        @SerializedName("isPowerBIAttributeUsed")
        var isPowerBIAttributeUsed: Boolean?,
        @SerializedName("isTagUsed")
        var isTagUsed: Boolean?,
        @SerializedName("isTemplateAttributeUsed")
        var isTemplateAttributeUsed: Boolean?,
        @SerializedName("localName")
        var localName: String?,
        @SerializedName("numChar")
        var numChar: Any?,
        @SerializedName("parentTemplateAttributeGuid")
        var parentTemplateAttributeGuid: Any?,
        @SerializedName("sequence")
        var sequence: Int?,
        @SerializedName("startIndex")
        var startIndex: Any?,
        @SerializedName("tag")
        var tag: Any?,
        @SerializedName("tumblingWindow")
        var tumblingWindow: Any?,
        @SerializedName("unit")
        var unit: String?,
        @SerializedName("updatedDate")
        var updatedDate: String?
    ){
        data class Attribute(
            val attributeColor: String,
            val conditionBitValue: Int,
            val dataTypeGuid: String,
            val dataTypeName: String,
            val description: String,
            val guid: String,
            val isPowerBIAttributeUsed: Boolean,
            val isTemplateAttributeUsed: Int,
            val localName: String,
            val parentTemplateAttributeGuid: String,
            val sequence: Int,
            val unit: String
        )
    }
}