package com.avnet.ebv.model.response

data class GetRolePermissionsResponse(
    val `data`: List<Data>,
    val message: String,
    val status: Int
) {
    data class Data(
        val modules: List<Module>,
        val roleDescription: String,
        val roleGuid: String,
        val roleName: String,
        val roleStatus: Boolean
    ) {
        data class Module(
            val categoryName: String,
            val guid: String,
            val name: String,
            val permission: List<Permission>
        ) {
            data class Permission(
                val displayName: String,
                val name: String,
                val value: Boolean
            )
        }
    }
}