package com.avnet.ebv.model.response

import com.google.gson.annotations.SerializedName

data class PropertyLookupResponse(

	@field:SerializedName("data")
	val data: List<PropertyLookupDataItem?>? = null,

	@field:SerializedName("message")
	val message: String? = null,

	@field:SerializedName("status")
	val status: Int? = null,

	@field:SerializedName("error")
	val error: List<ErrorRespose?>? = null
)

data class PropertyLookupDataItem(

	@field:SerializedName("localName")
	val localName: String? = null,

	@field:SerializedName("isReadOnly")
	val isReadOnly: Boolean? = null,

	@field:SerializedName("defaultValue")
	val defaultValue: String? = null,

	@field:SerializedName("dataTypeName")
	val dataTypeName: String? = null,

	@field:SerializedName("name")
	val name: String? = null,

	@field:SerializedName("guid")
	val guid: String? = null,

	@field:SerializedName("dataValidation")
	val dataValidation: Any? = null
)
