package com.avnet.ebv.model.response

data class SingleDeviceDetailResponse(
    val `data`: List<Data>,
    val message: String,
    val status: Int
){
    data class Data(
        val allottedDevicePermission: AllottedDevicePermission,
        val certificateGuid: Any,
        val certificateName: Any,
        val certificateType: Any,
        val cpId: String,
        val deviceStatus: String,
        val deviceTemplateAuthType: Int,
        val deviceTemplateGuid: String,
        val deviceTemplateName: String,
        val displayName: String,
        val entityGuid: String,
        val entityName: String,
        val fileSupport: Boolean,
        val firmwareAvail: Int,
        val firmwareUpgradeGuid: Any,
        val guid: String,
        val hasDirectMethod: Boolean,
        val hasTwin: Boolean,
        val image: Any,
        val imageUrl: String,
        val isAcquired: Int,
        val isActive: Boolean,
        val isAllottedDevice: Int,
        val isConnected: Boolean,
        val isEdgeSupport: Boolean,
        val isIotEdgeEnable: Boolean,
        val isLowBandwidth: Boolean,
        val isParentAcquired: Int,
        val isSimulatorOn: Int,
        val isSolutionTemplate: Boolean,
        val isType2Support: Boolean,
        val lastActivityDate: Any,
        val messageVersion: String,
        val msgCode: String,
        val note: Any,
        val parentCompanyGuid: Any,
        val parentDeviceGuid: Any,
        val parentDeviceUniqueId: Any,
        val properties: Any,
        val tag: Any,
        val uniqueId: String
    ){
        data class AllottedDevicePermission(
            val Operation: Boolean,
            val View: Boolean
        )
    }
}