package com.avnet.ebv.model.response


import com.google.gson.annotations.SerializedName

data class UserIdentityResponse(
    @SerializedName("data")
    var `data`: Data?,
    @SerializedName("message")
    var message: String?,
    @SerializedName("status")
    var status: Int?
) {
    data class Data(
        @SerializedName("authFeatures")
        var authFeatures: AuthFeatures?,
        @SerializedName("companyGuid")
        var companyGuid: String?,
        @SerializedName("companyLogo")
        var companyLogo: Any?,
        @SerializedName("companyLogoUrl")
        var companyLogoUrl: String?,
        @SerializedName("companyName")
        var companyName: String?,
        @SerializedName("companyType")
        var companyType: Int?,
        @SerializedName("configSettings")
        var configSettings: Any?,
        @SerializedName("cpId")
        var cpId: String?,
        @SerializedName("entityGuid")
        var entityGuid: String?,
        @SerializedName("firstName")
        var firstName: String?,
        @SerializedName("isCompanyAdmin")
        var isCompanyAdmin: Boolean?,
        @SerializedName("isDefaultDashboard")
        var isDefaultDashboard: Boolean?,
        @SerializedName("isServiceAccountEnabled")
        var isServiceAccountEnabled: Boolean?,
        @SerializedName("lastName")
        var lastName: String?,
        @SerializedName("pageSize")
        var pageSize: Int?,
        @SerializedName("parentEntityGuid")
        var parentEntityGuid: String?,
        @SerializedName("permissions")
        var permissions: Any?,
        @SerializedName("roleGuid")
        var roleGuid: String?,
        @SerializedName("roleName")
        var roleName: String?,
        @SerializedName("solutionGuid")
        var solutionGuid: String?,
        @SerializedName("timezoneGuid")
        var timezoneGuid: String?,
        @SerializedName("uiVersion")
        var uiVersion: String?,
        @SerializedName("userGuid")
        var userGuid: String?,
        @SerializedName("userId")
        var userId: String?,
        @SerializedName("version")
        var version: String?
    ) {
        data class AuthFeatures(
            @SerializedName("authType")
            var authType: String?,
            @SerializedName("features")
            var features: List<Feature?>?
        ) {
            data class Feature(
                @SerializedName("featureId")
                var featureId: Int?,
                @SerializedName("featureName")
                var featureName: String?,
                @SerializedName("isEnable")
                var isEnable: Boolean?
            )
        }
    }
}