package com.avnet.ebv.utils

object AppConstants {


    const val prefName: String = "EVB-IOT"
    const val STATUS_200: Int = 200
    const val STATUS_204: Int = 204
    const val STATUS_412: Int = 412
    const val STATUS_401: Int = 401
    const val INTENT_USER_DETAILS: String = "INTENT_USER_DETAILS"
    const val INTENT_REFRESH_PROPERTIES: String = "INTENT_REFRESH_PROPERTIES"
    const val INTENT_REFRESH_COMMAND: String = "INTENT_REFRESH_COMMAND"
    const val INTENT_REFRESH_HISTORY: String = "INTENT_REFRESH_HISTORY"
    const val startDest: String = "startDest"
    const val startAuthDest: String = "startAuthDest"
    const val deviceId: String = "deviceId"

    const val sensorTemperature: String = "temprature"
    const val sensorMagnet: String = "magnet"
    const val sensorSliderSensor: String = "slidersensor"
    const val sensorLedSensor: String = "ledsensor"
    const val sensorco2: String = "co2"
    const val sensorBtSensor: String = "btsensor"
    const val sensorNotConsider: String = "notconsidersensor"


    const val sensorTypeGuage: String = "GAUGE"
    const val sensorTypeSlider: String = "SLIDER"
    const val sensorTypeGraph: String = "GRAPH"
    const val sensorTypeLed: String = "LED"
    const val sensorTypeBT: String = "BT"
    const val sensorTypebt: String = "bt"
    const val sensorTypeled: String = "led"
    const val sensorTypeslider: String = "slidersensor"


    const val sensorDataTypeNumber: String = "NUMBER"
    const val sensorDataTypeInteger: String = "INTEGER"
    const val sensorDataTypeDecimal: String = "DECIMAL"
    const val sensorDataTypeLong: String = "LONG"
    const val sensorDataTypeSTRING: String = "STRING"
    const val sensorDataTypeBoolean: String = "BOOLEAN"
    const val sensorDataTypeBIT: String = "BIT"
    const val sensorDataTypeOBJECT: String = "OBJECT"

    const val ledOn: String = "ledOn"
    const val ledOff: String = "ledOff"
    const val disable: String = "disable"
    const val enable: String = "enable"
    const val btOn: String = "btOn"
    const val btOff: String = "btOff"


    const val uniqueId: String = "uniqueId"
    const val deviceTemplateGuid: String = "deviceTemplateGuid"
    const val guid: String = "guid"
    const val deviceGuidId: String = "deviceGuidId"
    const val isConnected: String = "isConnected"
    const val isFromDevice: String = "isFromDevice"
    const val guid1: String = "guid1"
    const val isConnect: String = "isConnect"
    const val Messages: String = "Messages"
    const val Users: String = "Users"
    const val Devices: String = "Devices"
    const val Owner: String = "Owner"
    const val Admin: String = "Admin"


    const val solution_guid: String = "f1e575ef-7a87-4ab8-983d-c0f8120b129d"
    const val isStep: String = "isStep"

}
