package com.avnet.ebv.utils

import android.text.method.HideReturnsTransformationMethod
import android.text.method.PasswordTransformationMethod
import android.view.View
import android.widget.ImageView
import android.widget.TextView
import androidx.appcompat.widget.AppCompatImageView
import androidx.core.content.ContextCompat
import com.avnet.ebv.R
import com.google.android.material.imageview.ShapeableImageView
import com.google.android.material.textfield.TextInputEditText

object PasswordUtils {

    fun showHidePass(view: AppCompatImageView, editText: TextInputEditText) {

        if (editText.getTransformationMethod().equals(PasswordTransformationMethod.getInstance())) {
            view.setImageResource(R.drawable.ic_pass_show)

            //Show Password
            editText.setTransformationMethod(HideReturnsTransformationMethod.getInstance())
        } else {
            view.setImageResource(R.drawable.ic_pass_hide);

            //Hide Password
            editText.setTransformationMethod(PasswordTransformationMethod.getInstance());

        }

    }


}